Bug 56863 - add "-t" argument to "last" to specify target time
add "-t" argument to "last" to specify target time
Product: Red Hat Raw Hide
Classification: Retired
Component: SysVinit (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-11-28 22:46 EST by Jonathan Kamens
Modified: 2014-03-16 22:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-01-25 01:05:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to add "-t" support (2.52 KB, patch)
2001-11-28 22:47 EST, Jonathan Kamens
no flags Details | Diff
Better patch with error checking (3.20 KB, patch)
2001-11-29 09:35 EST, Jonathan Kamens
no flags Details | Diff

  None (edit)
Description Jonathan Kamens 2001-11-28 22:46:52 EST
The attached patch adds a "-t" argument to "last" (and thus, to "lastb" as
well) for specifying a timestamp limiting which records in wtmp will be
examined.  In other words, "-t" says that you want to see what the state of
the system was as of the specified time, rather than as of now.  This is
very useful, e.g., to determine who was logged in at a given time.

I've submitted this patch to the maintainer of sysvinit, but I thought I'd
also submit it to y'all in case you think it's useful enough to include in
Red Hat before he does (or even if he doesn't).
Comment 1 Jonathan Kamens 2001-11-28 22:47:16 EST
Created attachment 39007 [details]
Patch to add "-t" support
Comment 2 Jonathan Kamens 2001-11-29 09:35:00 EST
Created attachment 39044 [details]
Better patch with error checking
Comment 3 Bill Nottingham 2002-07-18 21:46:58 EDT
Added in 2.84-5, thanks!

Note You need to log in before you can comment on or make changes to this bug.